Subject: Re: bug#68450: 30.0.50; Eldoc fails to display argument tooltip for arguments inside (...) in `define-advice'

From: João Távora <[email-masked]>
Date: Sat, 20 Jan 2024 18:01:26 +0000

On Sat, Jan 20, 2024 at 5:45 PM Thierry Volpiatto <[email-masked]> wrote:
>
> João Távora <[email-masked]> writes:
>
> > On Sat, Jan 20, 2024 at 9:37 AM Eli Zaretskii <[email-masked]> wrote:
> >
> >> > Expected:
> >> > "define-advice: (SYMBOL (*HOW* LAMBDA-LIST &optional NAME DEPTH) &rest BODY)
> >> > still appears in the echo area.
> >>
> >> Thierry and João, could you please look into this?
> >
> > I'm reasonably sure the source of this bug isn't in ElDoc per se,
> > but in elisp-mode.el's use of eldoc.el facilities,
>
> Yes, probably, we have the same problem with (dolist (...
> Slime handles this correctly IIRC, it has a nice library handling
> signatures but I don't remember the details.

Yes, you recall correctly.  Like SLY, Slime's fork, it has some
minimal sexp parsing logic that it makes use of in slime-autodoc.el.
I'll see what I can do (if you don't beat me to it), but this is
probably a very old bug: I don't remember Elisp ever handling
this correctly.

João